{% extends "base.html" %}
{% block title %} Afficher les factures {% endblock %}
{% block body %}
<div class="container">
	<div class="row">
		<div class="col-md-12">
            <table class="table table-bordered table-sm">
            {% if data %}
                <thead>
                    <tr>
                        <th class="align-middle">
                            id
                        </th>
						<th class="align-middle">
							Numéro de facture
                        </th>
						<th class="align-middle">
							Référence BVR
                        </th>
                        <th class="align-middle">
							Montant facture
                        </th>
						<th class="align-middle">
							Motif de facturation
                        </th>
						<th class="align-middle">
							Echéance de la facture
                        </th>
						<th class="align-middle">

                        </th>
						<th class="align-middle">

                        </th>
						<th class="align-middle">

                        </th>
                    </tr>
                </thead>
            {% endif %}

            {% for row in data %}
				<tbody>
					<tr>
						<td class="align-middle">
							{{ row.id_facture }}
						</td>
						<td class="align-middle">
							{{ row.numero_facture }}
						</td>
						<td class="align-middle">
							{{ row.reference_bvr }}
						</td>
						<td class="align-middle">
							{{ row.montant_facture }}
						</td>
						<td class="align-middle">
							{{ row.motif_facturation }}
						</td>
						<td class="align-middle">
							{{ row.echeance_facture }}
						</td>
						<td class="text-center" class="align-middle">
							<a class="btn btn-primary" href="{{ url_for('facture_ajouter_wtf') }}" role="button">Ajouter</a>
						</td>
						<td class="text-center" class="align-middle">
							<a class="btn btn-warning" href="{{ url_for('facture_update_wtf', id_facture_btn_edit_html=row.id_creancier) }}" role="button">Edit</a>
						</td>
						<td class="text-center" class="align-middle">
							<a class="btn btn-danger" href="{{ url_for('facture_delete_wtf', id_creancier_btn_delete_html=row.id_creancier) }}" role="button">Delete</a>
						</td>
					</tr>
				</tbody>
            {% else %}
				<tbody>
					<tr>
						<td>
							Aucune facture.
						</td>
						<td>
							<a class="btn btn-primary" href="{{ url_for('facture_ajouter_wtf') }}" role="button">Ajouter</a>
						</td>
					</tr>
				</tbody>
            {% endfor %}
			</table>
		</div>
	</div>
</div>
{% endblock %}

